Bug 891648 - clarify the disadvantages of enumeration in sssd.conf
Summary: clarify the disadvantages of enumeration in sssd.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 988381
TreeView+ depends on / blocked
 
Reported: 2013-01-03 14:28 UTC by Dmitri Pal
Modified: 2020-05-02 17:12 UTC (History)
4 users (show)

Fixed In Version: sssd-1.10.0-1.el7.alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 988381 (view as bug list)
Environment:
Last Closed: 2014-06-13 10:44:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2774 0 None None None 2020-05-02 17:12:11 UTC
Github SSSD sssd issues 2779 0 None None None 2020-05-02 17:12:40 UTC

Description Dmitri Pal 2013-01-03 14:28:05 UTC
The actual work will be done in here.

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1732

Many users set enumerate=true in their configuration for convenience of being able to access all the users. We should explain that enumeration might not be a great idea in big environments due to bugs like #1729.

Comment 2 Dmitri Pal 2013-01-03 15:01:37 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1737

Comment 3 Jakub Hrozek 2013-03-26 18:08:16 UTC
Fixed upstream.

Comment 4 Jakub Hrozek 2013-10-04 13:23:02 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 6 Amith 2013-12-11 15:07:19 UTC
Verified the bug on SSSD Version: sssd-1.11.2-10.el7.x86_64

Comment 7 Ludek Smid 2014-06-13 10:44:01 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.